Package ru.bgcrm.model.process

# Class ProcessGroup

java.lang.Object
ru.bgcrm.model.process.ProcessGroup

All Implemented Interfaces:
  `Comparable<ProcessGroup>`

public class ProcessGroup extends Object implements Comparable<ProcessGroup>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `groupId`
  `protected int`
  `roleId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessGroup()`
  `ProcessGroup(int groupId)`
  `ProcessGroup(int groupId, int roleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkGroupAndRole(int groupId, int roleId)`
  `int`
  `compareTo(ProcessGroup o)`
  `ProcessGroup`
  `createProcessGroup()`
  `boolean`
  `equals(Object obj)`
  `int`
  `getGroupId()`
  `static Set<Integer>`
  `getGroupsWithRole(Set<ProcessGroup> processGroupSet, int role)`
  `int`
  `getRoleId()`
  `int`
  `hashCode()`
  `static boolean`
  `isGroupWithRoleExist(Set<ProcessGroup> processGroupSet, int group, int role)`
  `static Set<ProcessGroup>`
  `parseFromStringSet(Set<String> values)`
  `static final String`
  `serialize(Set<ProcessGroup> processGroups)`
  `void`
  `setGroupId(int groupId)`
  `void`
  `setRoleId(int roleId)`
  `String`
  `toGroupRolePair()`
  `static final Set<Integer>`
  `toGroupSet(Set<ProcessGroup> processGroups)`
  `static ProcessGroups`
  `toProcessGroupSet(Set<Integer> set, int roleId)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### groupId

    protected int groupId

  - ### roleId

    protected int roleId

- ## Constructor Details

  - ### ProcessGroup

    public ProcessGroup()

  - ### ProcessGroup

    public ProcessGroup(int groupId)

  - ### ProcessGroup

    public ProcessGroup(int groupId, int roleId)

- ## Method Details

  - ### getRoleId

    public int getRoleId()

  - ### setRoleId

    public void setRoleId(int roleId)

  - ### getGroupId

    public int getGroupId()

  - ### setGroupId

    public void setGroupId(int groupId)

  - ### toGroupRolePair

    public String toGroupRolePair()

  - ### checkGroupAndRole

    public boolean checkGroupAndRole(int groupId, int roleId)

  - ### createProcessGroup

    public ProcessGroup createProcessGroup()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(ProcessGroup o)
    Specified by:
      `compareTo` in interface `Comparable<ProcessGroup>`

  - ### serialize

    public static final String serialize(Set<ProcessGroup> processGroups)

  - ### toGroupSet

    public static final Set<Integer> toGroupSet(Set<ProcessGroup> processGroups)

  - ### toProcessGroupSet

    public static ProcessGroups toProcessGroupSet(Set<Integer> set, int roleId)

  - ### parseFromStringSet

    public static Set<ProcessGroup> parseFromStringSet(Set<String> values)

  - ### getGroupsWithRole

    public static Set<Integer> getGroupsWithRole(Set<ProcessGroup> processGroupSet, int role)

  - ### isGroupWithRoleExist

    public static boolean isGroupWithRoleExist(Set<ProcessGroup> processGroupSet, int group, int role)